curl --request GET \
--url https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1346889436626259968"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Récupérer les signets par ID de dossier
Récupère les Publications d’un dossier de signets spécifique, identifié par son identifiant, pour l’utilisateur authentifié.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identifiant de l’utilisateur source authentifié pour lequel retourner les résultats. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
"2244994945"
Identifiant du dossier de signets que l’utilisateur authentifié interroge pour récupérer des Publications. Identifiant unique de ce dossier de signets.
^[0-9]{1,19}$"1146654567674912769"
Response
La requête a abouti.
Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes